summaryrefslogtreecommitdiffstats
path: root/rbutil
diff options
context:
space:
mode:
authorDominik Riebeling <Dominik.Riebeling@gmail.com>2016-03-20 20:44:13 +0100
committerDominik Riebeling <Dominik.Riebeling@gmail.com>2016-03-27 12:38:18 +0200
commitbbb46a885d3666d6f49b3911efd63aa44ae980e1 (patch)
tree3981452535aca9ed66bec5e95244a9cee6f4c7c7 /rbutil
parent32aaa52ed4f9d34339d09bc9f83a762151c0702d (diff)
downloadrockbox-bbb46a885d3666d6f49b3911efd63aa44ae980e1.tar.gz
rockbox-bbb46a885d3666d6f49b3911efd63aa44ae980e1.tar.bz2
rockbox-bbb46a885d3666d6f49b3911efd63aa44ae980e1.zip
Improve handling of Qt5 subversions on OS X.
Qt 5.6 on OS X requires targeting at least OS X 10.7, while for earlier versions we can still target 10.6. Handle this case and inform the user about the used target version. Change-Id: I78e426037e2966241ab9a63105e04e7366b469ed
Diffstat (limited to 'rbutil')
-rw-r--r--rbutil/rbutilqt/rbutilqt.pro12
1 files changed, 10 insertions, 2 deletions
diff --git a/rbutil/rbutilqt/rbutilqt.pro b/rbutil/rbutilqt/rbutilqt.pro
index 243e592255..0b1f5fde54 100644
--- a/rbutil/rbutilqt/rbutilqt.pro
+++ b/rbutil/rbutilqt/rbutilqt.pro
@@ -218,14 +218,22 @@ macx:!intel {
QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.4u.sdk
}
macx:intel {
- QMAKE_LFLAGS_X86=-mmacosx-version-min=10.5 -arch i386
contains(QT_MAJOR_VERSION, 5) {
QMAKE_MAC_SDK=macosx
+ greaterThan(QT_MINOR_VERSION, 5) {
+ QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.7
+ message("Qt 5.6+ detected: setting deploy target to 10.7")
+ }
+ !greaterThan(QT_MINOR_VERSION, 5) {
+ QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.6
+ message("Qt up to 5.5 detected: setting deploy target to 10.6")
+ }
}
!contains(QT_MAJOR_VERSION, 5) {
QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.5.sdk
+ QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
+ QMAKE_LFLAGS_X86=-mmacosx-version-min=10.5 -arch i386
}
- QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
}
macx {
CONFIG += x86